Bug 1084397 (jdns) - Review Request: jdns - A simple DNS queries library
Summary: Review Request: jdns - A simple DNS queries library
Keywords:
Status: CLOSED ERRATA
Alias: jdns
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: psi-plus 1089045
TreeView+ depends on / blocked
 
Reported: 2014-04-04 09:01 UTC by Ivan Romanov
Modified: 2015-03-26 21:46 UTC (History)
3 users (show)

Fixed In Version: jdns-2.0.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 16:08:02 UTC
pahan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ivan Romanov 2014-04-04 09:01:45 UTC
Spec URL: https://raw.githubusercontent.com/drizt/jdns-package/684e9e874aab5221e391bb2e399c5b88f7514a62/jdns.spec
SRPM URL: https://raw.githubusercontent.com/drizt/jdns-package/684e9e874aab5221e391bb2e399c5b88f7514a62/jdns-2.0.0-1.fc20.R.src.rpm
Description:
JDNS is a simple DNS implementation that can perform normal DNS
queries of any record type (notably SRV), as well as Multicast DNS
queries and advertising. Multicast support is based on Jeremie
Miller's "mdnsd" implementation.

For maximum flexibility, JDNS is written in C with no direct
dependencies, and is licensed under the MIT license. Your application
must supply functionality to JDNS, such as UDP sending/receiving, via
callbacks.

Fedora Account System Username: ivanromanov

Comment 1 Ivan Romanov 2014-04-04 09:05:53 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6707163
rpmlint output:
jdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns.x86_64: W: incoherent-version-in-changelog 2.0.0-1 ['2.0.0-1.fc20.R', '2.0.0-1.R']
jdns.x86_64: W: obsolete-not-provided qjdns
jdns.x86_64: W: obsolete-not-provided qjdns-devel
jdns.x86_64: W: no-manual-page-for-binary jdns
qjdns.x86_64: W: spelling-error Summary(en_US) jdns -> jeans
qjdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
qjdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
qjdns.x86_64: W: no-documentation
jdns-bin.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-bin.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-bin.x86_64: W: no-documentation
jdns-bin.x86_64: W: no-manual-page-for-binary jdns
jdns-devel.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-devel.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-devel.x86_64: W: no-documentation
jdns.src: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns.src: W: spelling-error %description -l en_US mdnsd -> mdse
6 packages and 0 specfiles checked; 0 errors, 19 warnings.

Comment 2 Rex Dieter 2014-04-04 11:22:34 UTC
Thanks.

This part will have to be removed or fixed properly,
# Avoid qt4 dependencies in jdns package
%global __requires_exclude_from ^%{_libdir}/libqjdns.so.*$
%global __requires_exclude_from ^%{_bindir}/jdns$
not hacked around.

Comment 3 Ivan Romanov 2014-04-04 12:03:24 UTC
How it should be fixed?

Comment 4 Rex Dieter 2014-04-04 12:05:06 UTC
I don't know (yet), haven't looked at the package and code.  All I *do* know, is hacking around it like this is definitely wrong.

Comment 5 Rex Dieter 2014-04-04 12:07:23 UTC
So, for a practical short-term suggestion, I'd recommend simply removing the hack (for review-purposes), and consider the extra dependencies a bug that can and should be fixed (but non-blocking as far as package review is concerned)

Comment 6 Pavel Alexeev 2014-04-04 13:16:03 UTC
Please remove "rm -rf $RPM_BUILD_ROOT" in %install.

Does qt5 supported as well?

Comment 7 Ivan Romanov 2014-04-04 17:05:46 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #6)
> Does qt5 supported as well?
You can built jdns library against Qt5 and it will be worked. But package built against Qt4.

Comment 9 Rex Dieter 2014-04-04 19:36:06 UTC
(re-adding blocking psi-plus, please be mindful not to remove that)

Comment 10 Ivan Romanov 2014-04-08 13:54:41 UTC
Rex, do you take this review request or I should to find somebody else?
Also may I include this package to Fedora 20 and Fedora 21  or only to Rawhide?

Comment 11 Pavel Alexeev 2014-04-08 13:57:32 UTC
You may import new package in stable branches too.
If you are willing I could take that review.

Comment 12 Ivan Romanov 2014-04-08 14:07:00 UTC
Pavel, it will be very good if you take that review. Anyway need some comments from Rex. Now Fedora has qjdns as subpackage of iris. Need to be careful with this and don't break anything. Also need to apply patch for iris to use new jdns.

Comment 13 Rex Dieter 2014-04-08 16:44:59 UTC
I'd say safest plan would be to request F-20 branch (and up), but only build/test for rawhide initially.  Once things are working ok, then can consider building updates for f20 too.

Comment 14 Pavel Alexeev 2014-04-08 16:54:18 UTC
>You can built jdns library against Qt5 and it will be worked. But package built against Qt4.

May it then be used to be linked with Qt5 application? If no, may be have worth provide two versions out of the box?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- "Package does not own files or directories owned by other packages", "Package does not contain duplicates in %files".
%{_bindir}/jdns used in main package and -bin subpackage
[!]: Package does not generate any conflict.
See comments before about twice binarie included.
- Please include README.md in %doc
- Honestly I do not see worth to split that small package on so much subpackages. I suggest include binary in main package and drop -bin subpackage completely.
Also even main package requires libQtCore.so.4() (splitting to minimize dependency may be some justification), so qjdns also seems redundant.
- Requires: qt4%{?_isa} seems redundant as it pulled automatically. 


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)".
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[!]: Package does not own files or directories owned by other packages.
%{_bindir}/jdns used in main package and -bin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
See comments before about twice binarie included.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6718749
http://koji.fedoraproject.org/koji/taskinfo?taskID=6718812
[!]: Package installs properly.
Packages can't be installed separate:
$ LANG=C sudo rpm -Uhv jdns-2.0.0-2.fc20.x86_64.rpm jdns-bin-2.0.0-2.fc20.x86_64.rpm
error: Failed dependencies:
        libqjdns.so.2()(64bit) is needed by jdns-2.0.0-2.fc20.x86_64
        libqjdns.so.2()(64bit) is needed by jdns-bin-2.0.0-2.fc20.x86_64
        qjdns(x86-64) = 2.0.0-2.fc20 is needed by jdns-bin-2.0.0-2.fc20.x86_64
[x]: Rpmlint is run on all rpms the build produces.

Rpmlint
-------
Checking: jdns-2.0.0-2.fc20.x86_64.rpm
          qjdns-2.0.0-2.fc20.x86_64.rpm
          jdns-bin-2.0.0-2.fc20.x86_64.rpm
          jdns-devel-2.0.0-2.fc20.x86_64.rpm
          jdns-2.0.0-2.fc20.src.rpm
jdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns.x86_64: W: obsolete-not-provided qjdns
jdns.x86_64: W: obsolete-not-provided qjdns-devel
jdns.x86_64: W: no-manual-page-for-binary jdns
qjdns.x86_64: W: spelling-error Summary(en_US) jdns -> jeans
qjdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
qjdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
qjdns.x86_64: W: no-documentation
jdns-bin.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-bin.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-bin.x86_64: W: no-documentation
jdns-bin.x86_64: W: no-manual-page-for-binary jdns
jdns-devel.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-devel.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-devel.x86_64: W: no-documentation
jdns.src: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns.src: W: spelling-error %description -l en_US mdnsd -> mdse
5 packages and 0 specfiles checked; 0 errors, 18 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint jdns-bin qjdns jdns-devel jdns
jdns-bin.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-bin.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-bin.x86_64: W: no-documentation
jdns-bin.x86_64: W: no-manual-page-for-binary jdns
qjdns.x86_64: W: spelling-error Summary(en_US) jdns -> jeans
qjdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
qjdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
qjdns.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqjdns.so.2.0.0 /lib64/libm.so.6
qjdns.x86_64: W: no-documentation
jdns-devel.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns-devel.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns-devel.x86_64: W: no-documentation
jdns.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
jdns.x86_64: W: spelling-error %description -l en_US mdnsd -> mdse
jdns.x86_64: W: obsolete-not-provided qjdns
jdns.x86_64: W: obsolete-not-provided qjdns-devel
jdns.x86_64: W: no-manual-page-for-binary jdns
4 packages and 0 specfiles checked; 0 errors, 17 warnings.
# echo 'rpmlint-done:'


[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
Name take coordinated.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
Can't test until other issues resolved.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Requires
--------
jdns-bin (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libjdns.so.2()(64bit)
    libm.so.6()(64bit)
    libqjdns.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qjdns(x86-64)
    rtld(GNU_HASH)

qjdns (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    jdns(x86-64)
    libQtCore.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libjdns.so.2()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt4(x86-64)
    rtld(GNU_HASH)

jdns-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    jdns(x86-64)
    libjdns.so.2()(64bit)
    libqjdns.so.2()(64bit)
    pkgconfig(QtCore)
    pkgconfig(QtNetwork)
    pkgconfig(jdns)

jdns (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libjdns.so.2()(64bit)
    libm.so.6()(64bit)
    libqjdns.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)


Provides
--------
jdns-bin:
    jdns-bin
    jdns-bin(x86-64)

qjdns:
    libqjdns.so.2()(64bit)
    qjdns
    qjdns(x86-64)

jdns-devel:
    jdns-devel
    jdns-devel(x86-64)
    pkgconfig(jdns)
    pkgconfig(qjdns)

jdns:
    jdns
    jdns(x86-64)
    libjdns.so.2()(64bit)



Source checksums
----------------
http://delta.affinix.com/download/jdns-2.0.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 8d94ba519dc18eb2ebbfecac3f211150e692892c695061471ae34f876d96adf6
  CHECKSUM(SHA256) upstream package : 8d94ba519dc18eb2ebbfecac3f211150e692892c695061471ae34f876d96adf6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1084397
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 15 Rex Dieter 2014-04-08 17:16:28 UTC
Re: Qt5

In my opinion, Qt5 support is only practical, if it's possible to install fully parallel-installable  Qt4 and Qt5 versions without conflicts.

What that means, is that the Qt5 version would need different library/soname, headers, etc... I suspect upstream does not support that (yet).  So probably not something to consider now, but look forward to at some point in the future.

Comment 16 Ivan Romanov 2014-04-09 03:56:08 UTC
* Wed Apr  9 2014 Ivan Romanov <drizt@land.ru> - 2.0.0-3
- removed jdns binary from jdns package
- dropped reduntant dependencies
- use only %%{buildroot}
- merged jdns-bin with qjdns subpackage

Spec URL: https://raw.githubusercontent.com/drizt/jdns-package/24ff9e1091f664b452f22d6ac1684c269ca4c90d/jdns.spec
SRPM URL: https://raw.githubusercontent.com/drizt/jdns-package/24ff9e1091f664b452f22d6ac1684c269ca4c90d/jdns-2.0.0-3.fc20.R.src.rpm

Comment 17 Ivan Romanov 2014-04-09 04:01:42 UTC
(In reply to Rex Dieter from comment #15)
> Re: Qt5
> 
> In my opinion, Qt5 support is only practical, if it's possible to install
> fully parallel-installable  Qt4 and Qt5 versions without conflicts.
> 
> What that means, is that the Qt5 version would need different
> library/soname, headers, etc... I suspect upstream does not support that
> (yet).  So probably not something to consider now, but look forward to at
> some point in the future.

So is there a guide or some manual how to all stuff should be named? I can add appropriate changes to upstream.

Comment 18 Pavel Alexeev 2014-04-09 09:19:46 UTC
(In reply to Rex Dieter from comment #15)
> Re: Qt5
> 
> In my opinion, Qt5 support is only practical, if it's possible to install
> fully parallel-installable  Qt4 and Qt5 versions without conflicts.
> 
> What that means, is that the Qt5 version would need different
> library/soname, headers, etc... I suspect upstream does not support that
> (yet).  So probably not something to consider now, but look forward to at
> some point in the future.

Is it not the case what we have in current Fedora 20?
I have installed on my system concurently:
qt3-3.3.8b-56.fc20.x86_64
qt-4.8.5-15.fc20.i686
qt-4.8.5-15.fc20.x86_64
qt5-qtbase-5.2.1-6.fc20.x86_64

Comment 19 Rex Dieter 2014-04-09 12:05:03 UTC
Re: comment #18

Yes, notice all those packages do satisfy the constraints I mentioned.


Re: comment #17

First off, the library names have to be different with Qt5, some projects inject the string "qt5" or "Qt5" in there somewhere (likewise for any pkgconfig-related files).  Headers are easier, since qt4/qt5 have separate header paths, installing stuff into their header prefix (instead of hard-coding /usr/include) takes care of that part.  But, this is something that can be resolved post-review (doing so here only needlessly complicates things)

Comment 20 Pavel Alexeev 2014-04-09 12:19:05 UTC
You add in main package:
Obsoletes:      qjdns < 2.0.0
Obsoletes:      qjdns-devel < 2.0.0

If it should be present at least in qjdns subpackage. Then you must also add provides (rpmlint complain that).
But if I understand correctly it is not needed - package have same name and you provide greater version, so normal update should happen.

Comment 21 Pavel Alexeev 2014-04-09 12:21:11 UTC
>But, this is something that can be resolved post-review (doing so here only needlessly complicates things)
May be. But if that planned to do and package names will be changed then rename request should be filled later, is not?

Comment 22 Ivan Romanov 2014-04-09 12:32:03 UTC
(In reply to Rex Dieter from comment #19)
> First off, the library names have to be different with Qt5, some projects
> inject the string "qt5" or "Qt5" in there somewhere (likewise for any
> pkgconfig-related files).  Headers are easier, since qt4/qt5 have separate
> header paths, installing stuff into their header prefix (instead of
> hard-coding /usr/include) takes care of that part.  But, this is something
> that can be resolved post-review (doing so here only needlessly complicates
> things)

I won't to do it here. I added qt5 support in my TODO. I find the best way to provide qt5 subpackage. Maybe such way will be good https://github.com/rojkov/embedlite-components/commit/2620650eb06e327281afd148b6cbf836ffe43d58 ?

Comment 23 Ivan Romanov 2014-04-09 12:42:47 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #20)
> You add in main package:
> Obsoletes:      qjdns < 2.0.0
> Obsoletes:      qjdns-devel < 2.0.0
> 
> If it should be present at least in qjdns subpackage. Then you must also add
> provides (rpmlint complain that).
> But if I understand correctly it is not needed - package have same name and
> you provide greater version, so normal update should happen.

I tried to drop Obsoletes tags. So when I did 'yum localinstall jdns-2.0.0-3.fc20.R.x86_64.rpm' it installed without any errors. And I have
jdns-2.0.0, qjdns-1.0.0 and qjdns-devel-1.0.0. It is wrong. Installing jdns must update old qjdns from iris package.

Comment 25 Rex Dieter 2014-04-09 14:26:55 UTC
I'd encourage you to consider not dropping the qjdns-devel subpkg (else risk complaints of qt-devel getting pulled in for any consumer of jdns-devel).

Bonus is that you won't have to deal with any Conflicts or Obsoletes/Provides tags then.

As is, these should not be needed in the main pkg anyway:
Conflicts:      qjdns < 2.0.0
Conflicts:      qjdns-devel < 2.0.0

Comment 26 Ivan Romanov 2014-04-09 17:32:52 UTC
Do you suggest just to remove any conflicts/obsoletes/provides tags?

Comment 27 Rex Dieter 2014-04-09 17:56:15 UTC
The implication of comment #25 was to restore qjdns-devel subpkg, and drop all those, yes.

Comment 28 Ivan Romanov 2014-04-09 18:02:31 UTC
My package had no qjdns-devel. What is mean restore? or You mean to rename jdns-devel to qjdns-devel?

Comment 29 Pavel Alexeev 2014-04-09 18:47:14 UTC
(In reply to Ivan Romanov from comment #23)
> (In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #20)
> I tried to drop Obsoletes tags. So when I did 'yum localinstall
> jdns-2.0.0-3.fc20.R.x86_64.rpm' it installed without any errors. And I have
> jdns-2.0.0, qjdns-1.0.0 and qjdns-devel-1.0.0. It is wrong. Installing jdns
> must update old qjdns from iris package.

Your jdns does not provides qjdns, why it obsoletes that? What if you install your qjdns-2.0.0 - it should just update qjdns-1.0.0.

Comment 30 Rex Dieter 2014-04-09 22:19:26 UTC
iris pkg currently provides
jdns
jdns-devel
qjdns
qjdns-devel

So, I think this package should follow that same convention.  Doing so will avoid the need for any Conflicts/Obsoletes/Provides

Comment 31 Ivan Romanov 2014-04-10 02:12:33 UTC
# yum install jdns
Loaded plugins: langpacks, refresh-packagekit
No package jdns available.
Error: Nothing to do

Comment 32 Rex Dieter 2014-04-10 02:27:13 UTC
Oh, you're right,
http://pkgs.fedoraproject.org/cgit/iris.git/tree/iris.spec

turns out there are only qjdns and qjdns-devel subpkgs to worry about here.  So as long as both of those exist here, all will be well.

Comment 33 Ivan Romanov 2014-04-10 02:40:33 UTC
Is there the correct way to update your qjdns and qjdns-devel to my qjdns and jdns-devel?

Comment 34 Pavel Alexeev 2014-04-10 09:26:09 UTC
We with Rex mention early what if you provide in your package qjdns and qjdns-devel vith versions which are greater than current from iris all update should be smooth and no other manipulation will be needed (like Obsoletes/Provides). Then it may be just dropped in iris. Please try do it.

Comment 35 Ivan Romanov 2014-04-10 12:20:53 UTC
Anyway will be need to manipalation with jdns package. I think it's not correct to have in system jdns-2.0.0 and qjdns-1.0.0.
Now my jdns-devel subpackage uses 
Provides:       qjdns-devel = %{version}-%{release}
Obsoletes:      qjdns-devel < 2.0.0
It's a standart way to rename package
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Renaming.2FReplacing_Existing_Packages

Comment 36 Pavel Alexeev 2014-04-10 15:00:57 UTC
(In reply to Ivan Romanov from comment #35)
> Anyway will be need to manipalation with jdns package. I think it's not
> correct to have in system jdns-2.0.0 and qjdns-1.0.0.
Why? If user want new jdns package - they just install it. If they want update qjdns newer version - update it (or whole system).

Comment 37 Pavel Alexeev 2014-04-10 15:04:32 UTC
On my mind it is incorrect obsoletes some functionality by other package which is not provided by him (and have just fake).

What happened with software which use library from qjdns-1.0.0? In case user install just jdns-2.0.0 (without qjdns-2.0.0) it became broken.

Comment 38 Ivan Romanov 2014-04-10 15:23:35 UTC
Always when I am updating one package will be updated all others. 
For example if I want to update only qt package will be updated qt-devel also. No other options.

Comment 39 Pavel Alexeev 2014-04-10 15:44:21 UTC
Right, because qt-devel have versioned dependency to qt. It is not your case, so jdns is not dependent from qjdns, so in install second will not be pulled.

Comment 40 Pavel Alexeev 2014-04-10 18:19:55 UTC
What concerned of qt4/qt5 versions it discussed not so early: https://lists.fedoraproject.org/pipermail/devel/2014-March/196385.html
I think we could follow.

Comment 41 Rex Dieter 2014-04-10 21:58:01 UTC
That suggested way of doing it won't work (keeping the same soname)

Please keep discussions of Qt5 support out of the package review, it is not relevant.  If you want, please work upstream to make that happen.

Comment 42 Rex Dieter 2014-04-10 22:28:08 UTC
I changed my mind, keeping a single -devel pkg isnt so bad, though like I said, there may be complaints.

So, all that is really needed is dropping the Conflicts which are not needed (the Obsoletes/Provides takes care of that part)

Comment 43 Ivan Romanov 2014-04-11 02:28:42 UTC
I changed my mind too. It will good to have jdns-devel and qjdns-bevel because this subpackages have very different dependencies (no for jdns-devel and qt-devel for qjdns-devel. So now I think it should be splitted.

Rex, Is it ok to have installed jdns-2.0.0 and qjdns-1.0.0 in the same time? Just tehnically it won't any problems, iris and jreen will work as before. But jdns-2.0.0 allready has a part of the functions which bundled in qjdns-1.0.0.

Comment 44 Ivan Romanov 2014-04-11 02:31:36 UTC
Also I looked to packages in Fedora. There are packages which provides -devel, -qt-devel and -gtk-devel. So I think it is a good practica to split -devel subpackage.

Comment 45 Ivan Romanov 2014-04-11 02:59:05 UTC
* Fri Apr 11 2014 Ivan Romanov <drizt@land.ru> - 2.0.0-5
- separated qjdns-devel subpackage
- dropped and Confilcts/Obsoletes/Provides tags


Spec URL: https://raw.githubusercontent.com/drizt/jdns-package/e35623934fcf3dde8394d27c73723245dc50cdbc/jdns.spec
SRPM URL: https://raw.githubusercontent.com/drizt/jdns-package/e35623934fcf3dde8394d27c73723245dc50cdbc/jdns-2.0.0-5.fc20.R.src.rpm

Comment 46 Pavel Alexeev 2014-04-13 11:17:19 UTC
Please do not copy big text multiple times in spec. Firstly it is not needed at all: Common practice use description for -devel like: "The %{name}-devel package contains libraries and header files for developing applications that use %{name}.". In case where you really want use parent package description you may replace it by macros %{description}. Introduce other %global parts of text if copy needed. But again - I highly encourage you to do not use description copying. All package should have short and descriptive information about itself - information about requirements (and parents) always accessible in corresponded packages.

Other seams addressed.

PACKAGE APPROVED.

Comment 47 Ivan Romanov 2014-04-13 16:27:43 UTC
New Package SCM Request
=======================
Package Name: jdns
Short Description: A simple DNS queries library
Owners: ivanromanov
Branches: f20 el6 epel7
InitialCC:

Comment 48 Kevin Fenzi 2014-04-13 20:37:12 UTC
Git done (by process-git-requests).

Comment 49 Rex Dieter 2014-04-24 16:08:02 UTC
built for rawhide.

Comment 50 Fedora Update System 2014-05-26 18:09:17 UTC
jdns-2.0.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jdns-2.0.0-6.fc20

Comment 51 Fedora Update System 2014-05-31 15:42:17 UTC
iris-1.0.0-0.17.20140424git4dcc9f49.fc20,jreen-1.2.0-2.fc20,jdns-2.0.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iris-1.0.0-0.17.20140424git4dcc9f49.fc20,jreen-1.2.0-2.fc20,jdns-2.0.0-7.fc20

Comment 52 Fedora Update System 2014-06-11 16:27:35 UTC
iris-1.0.0-0.17.20140424git4dcc9f49.fc20, jreen-1.2.0-2.fc20, jdns-2.0.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 53 Fedora Update System 2015-03-16 07:35:32 UTC
jdns-2.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jdns-2.0.1-1.fc20

Comment 54 Fedora Update System 2015-03-26 21:46:48 UTC
jdns-2.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.